Bug 1269327 - (upgrade-conflicts) TRACKER: package conflicts causing upgrade issues
TRACKER: package conflicts causing upgrade issues
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1258164 1268493 1273702
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 21:46 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2017-08-08 08:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:17:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2015-10-06 21:46:47 EDT
A tracker bug for issues in packages which cause upgrade problems which show up as failed dnf system-upgrade runs and/or installation failures.
Comment 1 Johnny Robeson 2015-10-06 21:55:58 EDT
is this one appropriate too? https://bugzilla.redhat.com/show_bug.cgi?id=1266267
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-10-07 08:00:55 EDT
(In reply to Johnny Robeson from comment #1)
> is this one appropriate too?
> https://bugzilla.redhat.com/show_bug.cgi?id=1266267
Hard to say. Somebody who can reproduce it should dig down into dnf to see why it refuses to install the package. Could be a problem with the package, or could be some dnf issue.
Comment 3 Johnny Robeson 2015-10-07 16:19:21 EDT
does the debug data attached there not show enough information?
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-10-08 10:40:51 EDT
(In reply to Johnny Robeson from comment #3)
> does the debug data attached there not show enough information?
Dunno, I don't understand what is happening here.
Comment 5 Johnny Robeson 2015-10-19 18:45:08 EDT
neither do I. the bug did get reassigned from policycoreutils to the dnf packaging team though.
Comment 6 reescf 2015-12-21 12:46:38 EST
I apologise if this is not the right thing to do, but I just filed https://bugzilla.redhat.com/show_bug.cgi?id=1293415 after system upgrade failed due to a conflict between two packages which dnf seems to think it needs to install.

I'm not clear whether this is the right kind of issue to be tracked here, so I apologise for the noise if not.
Comment 7 nick 2015-12-30 19:01:40 EST
Hi am getting a similar problem when upgrading to F23 
sudo dnf system-upgrade download --releasever=23 --allowerasing

Error: Transaction check error:
  file /usr/share/kde4/apps/cmake/modules/KDELibs4LibraryTargets-release.cmake conflicts between attempted installs of kdelibs-devel-6:4.14.12-1.fc23.i686 and kdelibs-devel-6:4.14.12-1.fc23.x86_64
  file /usr/share/kde4/apps/cmake/modules/KDELibsDependencies.cmake conflicts between attempted installs of kdelibs-devel-6:4.14.12-1.fc23.i686 and kdelibs-devel-6:4.14.12-1.fc23.x86_64

uname -a
Linux Pegasus 4.2.6-200.fc22.x86_64 #1 SMP Tue Nov 10 16:45:19 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

is there a workaround to resolve these conflicts? deleting files or something?
Comment 8 Jan Kurik 2016-02-24 08:49:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 9 Fedora End Of Life 2017-07-25 15:20:36 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-08-08 08:17:23 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.